org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic

## Class FieldGenericVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor
    - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.RootGenericVisitor
      - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.FieldGenericVisitor

    public class FieldGenericVisitor
    extends RootGenericVisitor

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor

`element`

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`FieldGenericVisitor(ComponentWorkbench workbench, org.apache.felix.ipojo.metadata.Element element, org.objectweb.asm.tree.FieldNode node)`

### Method Summary

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.RootGenericVisitor

`visit, visitEnd`

### Methods inherited from class org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.generic.GenericVisitor

`visitAnnotation, visitArray, visitEnum`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldGenericVisitor

    public FieldGenericVisitor(ComponentWorkbench workbench,
                               org.apache.felix.ipojo.metadata.Element element,
                               org.objectweb.asm.tree.FieldNode node)